<template>
    <div name="TodoList">
        <h2>{{ count }}</h2>
        <ul>
            <li v-for="todo in todos" :key="todo.id">
                <div>{{todo.name | filterUpperCase}}</div>
            </li>
            <p>{{ text }}</p>
            <input type="text" v-model="text">
            <button @click="addTodo()">{{'add' | filterUpperCase}}</button>
        </ul>
    </div>
</template>

<script>
// import {mapMutations} from 'vuex'

export default {
    name: "TodoList",
    data() {
        return {
            text: "",
            todos: [
                {
                    id: 1,
                    name: "Todo 1",
                    time: 1526710200,
                    completed: false
                },
                {
                    id: 2,
                    name: "Todo 2",
                    time: 1526710204,
                    completed: false
                },
                {
                    id: 3,
                    name: "Todo 3",
                    time: 1526710215,
                    completed: true
                },
                {
                    id: 4,
                    name: "Todo 4",
                    time: 1526710218,
                    completed: true
                },
                {
                    id: 5,
                    name: "Todo 5",
                    time: 1526710256,
                    completed: false
                }
            ]
        }
    },
    filters: {
        filterUpperCase (val) {
            return val.toUpperCase()
        }
    },
    methods: {
        addTodo () {
            this.todos.push({
                    id: this.todos.lenght + 1,
                    name: this.text,
                    time: Date.now(),
                    completed: false
                })
        }
    },
    mounted() {
        console.log("TodoList Page is mounted !!")
    },
    props: {
        msg: String
    },
    computed: {
    },
}
</script>

<style scope>
</style>